Simplifying methods (getting information on all contracts by the client's GUID)
GET
Method Description:
The method combines the methods:
- Method of obtaining information on the contract
POST /bs-core/main/loans/details
- Method for getting the BNPL schedule
GET /main/contracts/{contract id}/bnp-schedule/date/{date}
The method is requested for the client, information is returned for each contract:
Information for each contract (item 1), if the contract status is Active or Overdue (not Closed), the BNPL schedule is returned (item 2)
New parameter: "CalcType" - Schedule mode:
-
BNPL_PLAN - there were no repayments, just 2 planned schedules are returned
-
BNPL_FACT_AND_CALC - there were repayments and 2 actual schedules are returned
-
BNPL_FACT-we are on the 2nd schedule and one second actual schedule is returned
-
SIMPLE_FACT-only 1 schedule, the actual schedule is returned
Parameters
Path Parameters
date*
date
Type
Requiredstring
Format
"date"guid*
guid
Type
Requiredstring
Responses
OK
*/*
data
object[]
amount
number
Format
"double"amountActual
number
Format
"double"amountFine
number
Format
"double"amountOverdue
number
Format
"double"amountPaid
number
Format
"double"amountService
number
Format
"double"calcType
string
Valid values
"BNPL_FACT""BNPL_FACT_AND_CALC""BNPL_PLAN""SIMPLE_FACT"contractId
integer
Format
"int64"contractName
string
firstSchedule
object[]
secondSchedule
object[]
status
string
Valid values
"Active""Closed""Overdue"status
string
Valid values
"error""ok"timestamp
integer
Format
"int64"